curl --request POST \
--url https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core",
"report_id": "<string>"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById"
payload = {
"$type": "Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core",
"report_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core',
report_id: '<string>'
})
};
fetch('https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core',
'report_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core\",\n \"report_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core\",\n \"report_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core\",\n \"report_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.Reports.ApiVarReportDataResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"market_data_error_summary": {
"$type": "Derivitec.Web.Core.MarketData.MarketDataErrorSummary, Derivitec.Web.Core",
"bond_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.BondVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"futures_market_id": "<string>",
"bond_short_name": "<string>"
}
],
"bond_yield_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.BondYieldCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"currency": "<string>",
"issuer_id": "<string>",
"debt_type": "<string>",
"issuer_name": "<string>"
}
],
"bond_yield_curve_spread_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.BondYieldCurveSpreadError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"bond_id": "<string>",
"isin": "<string>"
}
],
"credit_event_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CreditEventError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"bond_id": "<string>",
"default_date": "<string>"
}
],
"calendar_errors": [
"<string>"
],
"cmdty_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CmdtyVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"commodity_id": "<string>",
"commodity_name": "<string>"
}
],
"commodity_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CommodityError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"commodity_id": "<string>",
"commodity_name": "<string>"
}
],
"credit_index_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CreditIndexCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"index_id": "<string>",
"index_name": "<string>"
}
],
"credit_swaption_vol_cube_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CreditSwaptionVolCubeError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"credit_id": "<string>",
"name": "<string>"
}
],
"discount_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.DiscountCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"currency": "<string>"
}
],
"equity_asset_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityAssetError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset_id": "<string>",
"asset_ric": "<string>",
"asset_x_ignite_code": "<string>",
"asset_edi_code": "<string>",
"notes": "<string>"
}
],
"equity_equity_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityEquityCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset1_id": "<string>",
"asset1_name": "<string>",
"asset2_id": "<string>",
"asset2_name": "<string>"
}
],
"equity_fx_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityFxCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"eq_asset_id": "<string>",
"eq_asset_name": "<string>",
"fx_cross_id": "<string>"
}
],
"eq_ir_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EqIRCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"equity_id": "<string>",
"equity_name": "<string>",
"fixing_instrument_id": "<string>"
}
],
"fx_fx_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.FxFxCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"fx_cross1_id": "<string>",
"fx_cross1_name": "<string>",
"fx_cross2_id": "<string>",
"fx_cross2_name": "<string>"
}
],
"equity_vol_index_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolIndexError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"eq_vol_index_id": "<string>",
"eq_vol_index_name": "<string>",
"eq_vol_index_ric": "<string>"
}
],
"equity_vol_index_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolIndexVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"eq_vol_index_id": "<string>",
"eq_vol_index_ric": "<string>"
}
],
"equity_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset_id": "<string>",
"asset_ric": "<string>"
}
],
"equity_vol_of_var_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolOfVarCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"eq_vol_of_var_index_id": "<string>",
"eq_vol_of_var_index_ric": "<string>"
}
],
"dividend_index_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.DividendIndexError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"dividend_index_id": "<string>",
"dividend_index_name": "<string>",
"dividend_index_ric": "<string>"
}
],
"dividend_index_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.DividendIndexVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"dividend_index_id": "<string>",
"dividend_index_ric": "<string>",
"futures_expiry_code": "<string>"
}
],
"fx_vol_of_var_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.FxVolOfVarCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"fx_vol_of_var_index_id": "<string>",
"fx_vol_of_var_index_ric": "<string>"
}
],
"fx_cross_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.FxCrossError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"fx_cross_id": "<string>"
}
],
"fx_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.FxVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"fx_cross_id": "<string>"
}
],
"andersen_buffum_parameters_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.AndersenBuffumParametersError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"equity_id": "<string>"
}
],
"ir_futures_vol_cube_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.IrFuturesVolCubeError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"futures_market_id": "<string>",
"name": "<string>"
}
],
"rate_asset_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.RateAssetError, Derivitec.Web.Core",
"message": "<string>",
"rate_asset_id": "<string>",
"reference_date": "<string>"
}
],
"recovery_rate_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.RecoveryRateError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"bond_id": "<string>",
"issuer_id": "<string>",
"issuer_name": "<string>",
"debt_type": "<string>"
}
],
"probability_of_default_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.ProbabilityOfDefaultError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset_id": "<string>"
}
],
"amortisation_rate_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.AmortisationRateError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset_id": "<string>"
}
],
"survival_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.SurvivalCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"currency": "<string>",
"debt_type": "<string>",
"default_type": "<string>",
"issuer_id": "<string>",
"issuer_name": "<string>"
}
],
"swaption_vol_cube_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.SwaptionVolCubeError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"rate_asset_id": "<string>"
}
]
},
"portfolio_date_time": "2023-11-07T05:31:56Z",
"portfolio_id": 123,
"portfolio_name": "<string>",
"portfolio_var_statistics": {
"$type": "Derivitec.Web.Core.RiskEngine.VarStatistics, Derivitec.Web.Core",
"component_var": 123,
"component_var_pct": 123,
"expected_shortfall": 123,
"expected_shortfall_pct": 123,
"id": "<string>",
"marginal_var": 123,
"marginal_var_pct": 123,
"mean": 123,
"message": "<string>",
"name": "<string>",
"std_dev": 123,
"std_dev_pct": 123,
"valid": true,
"var": 123,
"var_pct": 123,
"worst_day": "2023-11-07T05:31:56Z",
"worst_day_index": 0,
"worst_loss": 123,
"aum": 123
},
"report_id": "<string>",
"reporting_currency": "<string>",
"report_name": "<string>",
"scenario_portfolio_var_statistics": [
{
"$type": "Derivitec.Web.Core.RiskEngine.VarStatistics, Derivitec.Web.Core",
"component_var": 123,
"component_var_pct": 123,
"expected_shortfall": 123,
"expected_shortfall_pct": 123,
"id": "<string>",
"marginal_var": 123,
"marginal_var_pct": 123,
"mean": 123,
"message": "<string>",
"name": "<string>",
"std_dev": 123,
"std_dev_pct": 123,
"valid": true,
"var": 123,
"var_pct": 123,
"worst_day": "2023-11-07T05:31:56Z",
"worst_day_index": 0,
"worst_loss": 123,
"aum": 123
}
],
"scenarios": [
{
"$type": "Derivitec.Web.Core.RiskEngine.RiskScenario, Derivitec.Web.Core",
"scenario_description": "<string>",
"scenario_name": "<string>"
}
],
"status": "none",
"status_message": "<string>",
"time_stamp": "2023-11-07T05:31:56Z",
"tradable_var_statistics": [
{
"$type": "Derivitec.Web.Core.RiskEngine.VarStatistics, Derivitec.Web.Core",
"component_var": 123,
"component_var_pct": 123,
"expected_shortfall": 123,
"expected_shortfall_pct": 123,
"id": "<string>",
"marginal_var": 123,
"marginal_var_pct": 123,
"mean": 123,
"message": "<string>",
"name": "<string>",
"std_dev": 123,
"std_dev_pct": 123,
"valid": true,
"var": 123,
"var_pct": 123,
"worst_day": "2023-11-07T05:31:56Z",
"worst_day_index": 0,
"worst_loss": 123,
"aum": 123
}
],
"user_time_zone_id": "<string>",
"position_infos": [
{
"$type": "Derivitec.Web.Core.Reports.VarPositionInfo, Derivitec.Web.Core",
"asset_id": "<string>",
"asset_name": "<string>",
"issuer_name": "<string>",
"bond_issuer_type": "<string>",
"book_id": 123,
"book_name": "<string>",
"business_unit": "<string>",
"client": "<string>",
"client_name": "<string>",
"client_parent_entity": "<string>",
"client_tradable_id": "<string>",
"client_transaction_id": "<string>",
"commodity_id": "<string>",
"counterparty": "<string>",
"counterparty_account": "<string>",
"counterparty_name": "<string>",
"date_label1": "2023-11-07T05:31:56Z",
"date_label2": "2023-11-07T05:31:56Z",
"dealer_name": "<string>",
"dealer_status": "<string>",
"dealing_bank": "<string>",
"dealing_bank_name": "<string>",
"decimal_label1": 123,
"decimal_label2": 123,
"decimal_label3": 123,
"decimal_label4": 123,
"decimal_label5": 123,
"decimal_label6": 123,
"decimal_label7": 123,
"decimal_label8": 123,
"decimal_label9": 123,
"decimal_label10": 123,
"entity": "<string>",
"equity_asset_code": "<string>",
"exchange": "<string>",
"futures_contract_size": 123,
"fx_cross": "<string>",
"fx_cross_id": "<string>",
"holding": 123,
"instrument_code": "<string>",
"leg": "<string>",
"level1_portfolio_id": 123,
"level1_portfolio_name": "<string>",
"level2_portfolio_id": 123,
"level2_portfolio_name": "<string>",
"level3_portfolio_id": 123,
"level3_portfolio_name": "<string>",
"level4_portfolio_id": 123,
"level4_portfolio_name": "<string>",
"level5_portfolio_id": 123,
"level5_portfolio_name": "<string>",
"notes": "<string>",
"quantity": 123,
"sector": "<string>",
"country_of_risk": "<string>",
"contract_currency": "<string>",
"security_type": "<string>",
"strategy": "<string>",
"structure": "<string>",
"sub_business_unit": "<string>",
"team": "<string>",
"tradable": "<string>",
"tradable_id": "<string>",
"product_type": "<string>",
"string_label1": "<string>",
"string_label2": "<string>",
"string_label3": "<string>",
"string_label4": "<string>",
"string_label5": "<string>",
"string_label6": "<string>",
"string_label7": "<string>",
"string_label8": "<string>",
"string_label9": "<string>",
"string_label10": "<string>",
"string_label11": "<string>",
"string_label12": "<string>",
"string_label13": "<string>",
"string_label14": "<string>",
"string_label15": "<string>",
"string_label16": "<string>",
"string_label17": "<string>",
"string_label18": "<string>",
"string_label19": "<string>",
"string_label20": "<string>",
"ctpty_string_label1": "<string>",
"ctpty_string_label2": "<string>",
"ctpty_string_label3": "<string>",
"calculated_string_label1": "<string>",
"calculated_string_label2": "<string>",
"calculated_string_label3": "<string>",
"calculated_string_label4": "<string>"
}
]
}Retrieve completed VaR report data by run identifier.
Retrieves data for the identified completed run. Only ReportId affects this versioned action; exposed
row-filter and table-query fields do not alter the result. Missing or unavailable data is reported through
the normal response envelope rather than a separate documented status. This versioned action is deprecated;
no replacement route is declared.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core",
"report_id": "<string>"
}
'import requests
url = "https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById"
payload = {
"$type": "Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core",
"report_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core',
report_id: '<string>'
})
};
fetch('https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core',
'report_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core\",\n \"report_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core\",\n \"report_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/VarReport/GetReportDataById")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core\",\n \"report_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.Reports.ApiVarReportDataResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"market_data_error_summary": {
"$type": "Derivitec.Web.Core.MarketData.MarketDataErrorSummary, Derivitec.Web.Core",
"bond_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.BondVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"futures_market_id": "<string>",
"bond_short_name": "<string>"
}
],
"bond_yield_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.BondYieldCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"currency": "<string>",
"issuer_id": "<string>",
"debt_type": "<string>",
"issuer_name": "<string>"
}
],
"bond_yield_curve_spread_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.BondYieldCurveSpreadError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"bond_id": "<string>",
"isin": "<string>"
}
],
"credit_event_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CreditEventError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"bond_id": "<string>",
"default_date": "<string>"
}
],
"calendar_errors": [
"<string>"
],
"cmdty_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CmdtyVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"commodity_id": "<string>",
"commodity_name": "<string>"
}
],
"commodity_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CommodityError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"commodity_id": "<string>",
"commodity_name": "<string>"
}
],
"credit_index_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CreditIndexCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"index_id": "<string>",
"index_name": "<string>"
}
],
"credit_swaption_vol_cube_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.CreditSwaptionVolCubeError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"credit_id": "<string>",
"name": "<string>"
}
],
"discount_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.DiscountCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"currency": "<string>"
}
],
"equity_asset_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityAssetError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset_id": "<string>",
"asset_ric": "<string>",
"asset_x_ignite_code": "<string>",
"asset_edi_code": "<string>",
"notes": "<string>"
}
],
"equity_equity_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityEquityCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset1_id": "<string>",
"asset1_name": "<string>",
"asset2_id": "<string>",
"asset2_name": "<string>"
}
],
"equity_fx_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityFxCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"eq_asset_id": "<string>",
"eq_asset_name": "<string>",
"fx_cross_id": "<string>"
}
],
"eq_ir_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EqIRCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"equity_id": "<string>",
"equity_name": "<string>",
"fixing_instrument_id": "<string>"
}
],
"fx_fx_correlation_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.FxFxCorrelationError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"fx_cross1_id": "<string>",
"fx_cross1_name": "<string>",
"fx_cross2_id": "<string>",
"fx_cross2_name": "<string>"
}
],
"equity_vol_index_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolIndexError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"eq_vol_index_id": "<string>",
"eq_vol_index_name": "<string>",
"eq_vol_index_ric": "<string>"
}
],
"equity_vol_index_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolIndexVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"eq_vol_index_id": "<string>",
"eq_vol_index_ric": "<string>"
}
],
"equity_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset_id": "<string>",
"asset_ric": "<string>"
}
],
"equity_vol_of_var_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.EquityVolOfVarCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"eq_vol_of_var_index_id": "<string>",
"eq_vol_of_var_index_ric": "<string>"
}
],
"dividend_index_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.DividendIndexError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"dividend_index_id": "<string>",
"dividend_index_name": "<string>",
"dividend_index_ric": "<string>"
}
],
"dividend_index_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.DividendIndexVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"dividend_index_id": "<string>",
"dividend_index_ric": "<string>",
"futures_expiry_code": "<string>"
}
],
"fx_vol_of_var_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.FxVolOfVarCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"fx_vol_of_var_index_id": "<string>",
"fx_vol_of_var_index_ric": "<string>"
}
],
"fx_cross_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.FxCrossError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"fx_cross_id": "<string>"
}
],
"fx_vol_surface_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.FxVolSurfaceError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"fx_cross_id": "<string>"
}
],
"andersen_buffum_parameters_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.AndersenBuffumParametersError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"equity_id": "<string>"
}
],
"ir_futures_vol_cube_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.IrFuturesVolCubeError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"futures_market_id": "<string>",
"name": "<string>"
}
],
"rate_asset_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.RateAssetError, Derivitec.Web.Core",
"message": "<string>",
"rate_asset_id": "<string>",
"reference_date": "<string>"
}
],
"recovery_rate_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.RecoveryRateError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"bond_id": "<string>",
"issuer_id": "<string>",
"issuer_name": "<string>",
"debt_type": "<string>"
}
],
"probability_of_default_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.ProbabilityOfDefaultError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset_id": "<string>"
}
],
"amortisation_rate_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.AmortisationRateError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"asset_id": "<string>"
}
],
"survival_curve_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.SurvivalCurveError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"currency": "<string>",
"debt_type": "<string>",
"default_type": "<string>",
"issuer_id": "<string>",
"issuer_name": "<string>"
}
],
"swaption_vol_cube_errors": [
{
"$type": "Derivitec.Web.Core.MarketData.SwaptionVolCubeError, Derivitec.Web.Core",
"message": "<string>",
"reference_date": "<string>",
"rate_asset_id": "<string>"
}
]
},
"portfolio_date_time": "2023-11-07T05:31:56Z",
"portfolio_id": 123,
"portfolio_name": "<string>",
"portfolio_var_statistics": {
"$type": "Derivitec.Web.Core.RiskEngine.VarStatistics, Derivitec.Web.Core",
"component_var": 123,
"component_var_pct": 123,
"expected_shortfall": 123,
"expected_shortfall_pct": 123,
"id": "<string>",
"marginal_var": 123,
"marginal_var_pct": 123,
"mean": 123,
"message": "<string>",
"name": "<string>",
"std_dev": 123,
"std_dev_pct": 123,
"valid": true,
"var": 123,
"var_pct": 123,
"worst_day": "2023-11-07T05:31:56Z",
"worst_day_index": 0,
"worst_loss": 123,
"aum": 123
},
"report_id": "<string>",
"reporting_currency": "<string>",
"report_name": "<string>",
"scenario_portfolio_var_statistics": [
{
"$type": "Derivitec.Web.Core.RiskEngine.VarStatistics, Derivitec.Web.Core",
"component_var": 123,
"component_var_pct": 123,
"expected_shortfall": 123,
"expected_shortfall_pct": 123,
"id": "<string>",
"marginal_var": 123,
"marginal_var_pct": 123,
"mean": 123,
"message": "<string>",
"name": "<string>",
"std_dev": 123,
"std_dev_pct": 123,
"valid": true,
"var": 123,
"var_pct": 123,
"worst_day": "2023-11-07T05:31:56Z",
"worst_day_index": 0,
"worst_loss": 123,
"aum": 123
}
],
"scenarios": [
{
"$type": "Derivitec.Web.Core.RiskEngine.RiskScenario, Derivitec.Web.Core",
"scenario_description": "<string>",
"scenario_name": "<string>"
}
],
"status": "none",
"status_message": "<string>",
"time_stamp": "2023-11-07T05:31:56Z",
"tradable_var_statistics": [
{
"$type": "Derivitec.Web.Core.RiskEngine.VarStatistics, Derivitec.Web.Core",
"component_var": 123,
"component_var_pct": 123,
"expected_shortfall": 123,
"expected_shortfall_pct": 123,
"id": "<string>",
"marginal_var": 123,
"marginal_var_pct": 123,
"mean": 123,
"message": "<string>",
"name": "<string>",
"std_dev": 123,
"std_dev_pct": 123,
"valid": true,
"var": 123,
"var_pct": 123,
"worst_day": "2023-11-07T05:31:56Z",
"worst_day_index": 0,
"worst_loss": 123,
"aum": 123
}
],
"user_time_zone_id": "<string>",
"position_infos": [
{
"$type": "Derivitec.Web.Core.Reports.VarPositionInfo, Derivitec.Web.Core",
"asset_id": "<string>",
"asset_name": "<string>",
"issuer_name": "<string>",
"bond_issuer_type": "<string>",
"book_id": 123,
"book_name": "<string>",
"business_unit": "<string>",
"client": "<string>",
"client_name": "<string>",
"client_parent_entity": "<string>",
"client_tradable_id": "<string>",
"client_transaction_id": "<string>",
"commodity_id": "<string>",
"counterparty": "<string>",
"counterparty_account": "<string>",
"counterparty_name": "<string>",
"date_label1": "2023-11-07T05:31:56Z",
"date_label2": "2023-11-07T05:31:56Z",
"dealer_name": "<string>",
"dealer_status": "<string>",
"dealing_bank": "<string>",
"dealing_bank_name": "<string>",
"decimal_label1": 123,
"decimal_label2": 123,
"decimal_label3": 123,
"decimal_label4": 123,
"decimal_label5": 123,
"decimal_label6": 123,
"decimal_label7": 123,
"decimal_label8": 123,
"decimal_label9": 123,
"decimal_label10": 123,
"entity": "<string>",
"equity_asset_code": "<string>",
"exchange": "<string>",
"futures_contract_size": 123,
"fx_cross": "<string>",
"fx_cross_id": "<string>",
"holding": 123,
"instrument_code": "<string>",
"leg": "<string>",
"level1_portfolio_id": 123,
"level1_portfolio_name": "<string>",
"level2_portfolio_id": 123,
"level2_portfolio_name": "<string>",
"level3_portfolio_id": 123,
"level3_portfolio_name": "<string>",
"level4_portfolio_id": 123,
"level4_portfolio_name": "<string>",
"level5_portfolio_id": 123,
"level5_portfolio_name": "<string>",
"notes": "<string>",
"quantity": 123,
"sector": "<string>",
"country_of_risk": "<string>",
"contract_currency": "<string>",
"security_type": "<string>",
"strategy": "<string>",
"structure": "<string>",
"sub_business_unit": "<string>",
"team": "<string>",
"tradable": "<string>",
"tradable_id": "<string>",
"product_type": "<string>",
"string_label1": "<string>",
"string_label2": "<string>",
"string_label3": "<string>",
"string_label4": "<string>",
"string_label5": "<string>",
"string_label6": "<string>",
"string_label7": "<string>",
"string_label8": "<string>",
"string_label9": "<string>",
"string_label10": "<string>",
"string_label11": "<string>",
"string_label12": "<string>",
"string_label13": "<string>",
"string_label14": "<string>",
"string_label15": "<string>",
"string_label16": "<string>",
"string_label17": "<string>",
"string_label18": "<string>",
"string_label19": "<string>",
"string_label20": "<string>",
"ctpty_string_label1": "<string>",
"ctpty_string_label2": "<string>",
"ctpty_string_label3": "<string>",
"calculated_string_label1": "<string>",
"calculated_string_label2": "<string>",
"calculated_string_label3": "<string>",
"calculated_string_label4": "<string>"
}
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The body containing the opaque ReportId for the completed VaR report run.
Selectors and optional formatting query for retrieving one report run.
Derivitec.Web.Core.Reports.ApiGetReportDataByIdRequest, Derivitec.Web.Core Opaque identifier of the report run to retrieve or query. The value must not be null or empty.
Portfolio category used to resolve the requested portfolio. It may be omitted when the portfolio name resolves unambiguously.
derivitec, enfusion, orchestrade, liquidity_book, maia, fund_studio, not_set Optional filter and column selection for formatted report data.
Show child attributes
Show child attributes
Response
Returns the completed VaR report data, or an unsuccessful response envelope with validation or availability messages.
VaR result data, statistics, status, portfolio context, and market-data diagnostics.
Derivitec.Web.Core.Reports.ApiVarReportDataResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Market-data failures grouped by the affected data category.
Show child attributes
Show child attributes
Portfolio snapshot date and time used or recorded for the report; no time-zone convention is established here.
Opaque identifier of the portfolio associated with the report run.
Portfolio name associated with the report run or saved launcher item.
Reports value-at-risk statistics for a portfolio, tradable, scenario, or aggregation group.
Show child attributes
Show child attributes
Opaque identifier of the report run.
Currency used to express monetary report values; the code format is not constrained here.
Name of the report definition associated with the run, schedule, restriction, or launcher item.
Scenario portfolio-level VaR statistics returned with the report.
Show child attributes
Show child attributes
Scenario definitions represented in the VaR result.
Names and describes a scenario supplied to a risk calculation.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
Show child attributes
Show child attributes
Lifecycle state recorded for the report run or scheduled item.
none, succeeded, failed, running, warning Human-readable diagnostic associated with the recorded report or schedule state.
Timestamp recorded for the report run; no time-zone convention is established by this contract.
Tradable-level VaR statistics returned with the report.
Show child attributes
Show child attributes
Time-zone identifier associated with presentation of report timestamps; accepted identifier formats are not defined here.
Position information returned with VaR report data.
Show child attributes
Show child attributes
Was this page helpful?